MS KB3035034: Update for Vulnerabilities in Adobe Flash Player in Internet Explorer

High Nessus Plugin ID 81046

Synopsis

The remote Windows host has a browser plugin that is affected by multiple code execution vulnerabilities.

Description

The remote host is missing KB3035034. It is, therefore, affected by the following vulnerabilities :

- A use-after-free error exists that allows an attacker to crash the application or execute arbitrary code.
(CVE-2015-0311)

- A double-free error exists that allows an attacker to crash the application or execute arbitrary code.
(CVE-2015-0312)

Solution

Install Microsoft KB3035034.

See Also

https://docs.microsoft.com/en-us/security-updates/SecurityAdvisories/2016/2755801

https://support.microsoft.com/en-us/help/3035034/microsoft-security-advisory-update-for-vulnerabilities-in-adobe-flash

https://helpx.adobe.com/security/products/flash-player/apsb15-03.html

Plugin Details

Severity: High

ID: 81046

File Name: smb_kb3035034.nasl

Version: 1.15

Type: local

Agent: windows

Family: Windows

Published: 2015/01/28

Updated: 2018/11/15

Dependencies: 13855

Risk Information

Risk Factor: High

CVSS v2.0

Base Score: 9.3

Temporal Score: 8.1

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:H/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/o:microsoft:windows, cpe:/a:adobe:flash_player

Required KB Items: SMB/Registry/Enumerated, SMB/WindowsVersion

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2015/01/27

Vulnerability Publication Date: 2015/01/21

Exploitable With

Core Impact

Metasploit (Adobe Flash Player ByteArray UncompressViaZlibVariant Use After Free)

Reference Information

CVE: CVE-2015-0311, CVE-2015-0312

BID: 72283, 72343

MSKB: 3035034